/* Impressa Network 2025 */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

html {
    font-size: 16px; /* Tamaño base (1rem = 16px) */
}

/* Animation Only */	
.move {
	animation: shake-baidu 1s ease 0s infinite;
	animation-play-state: running;
}

@keyframes shake-baidu {
	from    { transform: rotate(0deg); }
	4%      { transform: rotate(1deg); }
	12.5%   { transform: rotate(-1deg); }
	21%     { transform: rotate(1deg); }
	29%     { transform: rotate(-1deg); }
	37.5%   { transform: rotate(1deg); }
	46%     { transform: rotate(-1deg); }
	50%,to  { transform: rotate(0deg); }
}

/* Herramientas */
.pointer {cursor: pointer;}
.display-none {display: none;}
.height-auto {height:auto;}
.center {text-align: center;}
.hidden {display: none;}
.hide-footer {display: none !important;}
.inline-block {display: inline-block;}
a.text-decoration {text-decoration: none !important;}
.padding-footer {padding: 20px 0 30px 0 !important;}

/* Colores */
.white-color {color:#ffffff;}
.black-color {color:#000000;}
.white-background {background-color:#ffffff;}
.black-background {background-color:#000000;}
.ofan {
	/* background: linear-gradient(to right, rgba(255, 67, 0)  rgba(0, 0, 0, 0.2) 85%), url(/assets/img/banner.jpg); */
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right;
    background-size: cover;
	background-color: rgb(255,67,0);
}

.instagram {background-color: rgb(225,48,108);}
.whatsapp {background-color: rgb(37,211,102);}
.whatsapp1 {background-color: rgb(37,211,102);}
.whatsapp2 {background-color: rgb(37,211,102);}
.whatsapp3 {background-color: rgb(37,211,102);}
.snapchat {background-color: rgb(255,252,0);}
.tiktok {background-color: rgb(1,1,1);}
.videos {background-color: rgb(71,75,78);}
.telegram {background-color: rgb(36,161,222);}
.facebook {background-color: rgb(24,119,242);}
.reddit {background-color: rgb(255,67,0);}
.bmc {background-color: rgb(255,221,0);}
.celumarket {background-color: rgb(255,67,0);}

.linkOnly {
	display: none;
	/* background: rgb(0,175,240); */
	text-align: center;
	padding: 0px 10px 20px 10px;
	border-radius: 0 0 5px 5px;
}

.linkOnly a {
	border-radius: 5px;
	padding: 15px 25px;
	background: #000!important;
	color: #FFF;
	display: inline-block;
	margin: 15px 0 0 0;
	font-weight: 600;
}

p.warning {
	font-size: 17px;
	font-family: "Montserrat", serif;
	text-align: center;
	padding: 20px 20px 5px 20px;
	margin: 0;
	color: #fff;
	font-weight: 500;
	background: inherit;
}

body {
	background: #e7e8ed;
	margin: 0;
	padding: 0;
}

body.wrapper {
	box-sizing: border-box;
	position: relative;
	min-height: calc(90% - 50px);
	width: 100%;
	padding-bottom: 65px;
}

.feature {
    margin: 0px 0px 10px 0px;
    border-radius: 5px;
    position: relative;
    border: 1px solid;
}

.online {
	position: absolute;
    right: 20px; /* Alineado al lado derecho del <li> */
    top: 50%;
    transform: translateY(-50%); /* Centrado verticalmente */
    width: 10px; /* Tamaño del punto */
    height: 10px; /* Tamaño del punto */
    background-color: #28c76f; /* Color del punto */
    border-radius: 50%; /* Hace que sea un círculo */
}

.page-box {
	background-color: #000;
	width: 100%;
	margin: 0 auto;
	overflow: hidden;
}

.profile-header {
	box-sizing: border-box;
	width: 100%;
	position: relative;
}

.profile-header:after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 2%;
	z-index: 1;
	background: linear-gradient(to bottom, rgba(0,0,0,0) 35%,rgba(0,0,0,1) 95%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

#randon-images {
    position: relative;
    width: 100%;
    aspect-ratio: 4 / 5; /* Proporción de la imagen 1080x1350 */
    background-color: #000000; /* Fondo para el placeholder */
    overflow: hidden;
}

#randon-images .placeholder {
    position: absolute;
    width: 100%;
    height: 100%;
	background: linear-gradient(90deg, #000 25%, #111 50%, #000 75%);
    /* background: linear-gradient(90deg, #e0e0e0 25%, #f0f0f0 50%, #e0e0e0 75%); */
    background-size: 200% 100%;
    animation: shimmer 1.0s infinite;
}

@keyframes shimmer {
    0% { background-position: -200% 0; }
    100% { background-position: 200% 0; }
}

#randon-images img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.profile-header.transition {
	transition: all .4s ease-out .2s;
}

.profile-header div.brand {
	position: absolute;
	z-index: 21;
	bottom: 1rem;
	width: 100%;
	display: none;
}

.name {
	color: #f3f3f3;
	font-size: clamp(2rem, 2.4vw, 2.4rem); /* minimo, preferido, maximo */
	text-align: center;
	font-family: "Montserrat", serif;
	text-transform: uppercase;
	font-weight: 700;
	margin: auto;
	display: block;
}

p.description {
	color: #f3f3f3;
	text-align: center;
	background: none;
	position: relative;
	margin: 2px 0 1px 0;
    font-size: clamp(0.90rem, 0.92vw, 0.92rem);
    font-family: "Montserrat", serif;
    font-weight: 300;
}

.city {
	color: #999999 !important;
	font-family: "Montserrat", serif;
	font-size: clamp(0.88rem, 0.90vw, 0.90rem); /* minimo, preferido, maximo */
	font-weight: 300;
	text-align: center;
}

.location {
	text-align: center;
}

.page-box section.content-container {
	position: relative;
	box-sizing: border-box;
	background-color: #fff;
	color: #2c2e2f;
	overflow: visible;
	transition: all .4s ease-out .2s;
}

ul {
	margin:0;
	padding:0;
	background: #000;
}

ul li {
	list-style: none;
}

ul li a {
	text-decoration: none;
	color: #666;
	display: block;
	font-size: 19px;
	font-family: "Montserrat", serif;
	padding: 10px 13px 10px 15px;
}

ul li a .impressanetwork {
	font-size: 13px;
}

ul li a .fonty {
	font-size: 18px;
}

ul li a b {
	position: relative;
	top: 11px;
	font-weight: 600;
}

ul li span.icon {
	float: left;
	margin: 5px 15px 0 4px;
}

ul li span.icon img {
	width: 35px;
	height: auto
}

ul li span.talentoin img {
    width: 105px;
    height: auto;
    text-align: center;
    margin-top: 7px;
}

ul li span.impressanetwork img {
	width: 10px;
	height: auto;
	text-align: center;
}

span.impressanetwork img {
	width: 10px;
	height: auto;
	text-align: center;
}

.footer {
	text-align: center;
	padding: 20px 0;
}

.footer b {
	font-size: 14px;
	font-weight: 300;
	font-family: "Montserrat", serif;
}

.clearfix:before, .clearfix:after {
	display: table;
	content: "";
	line-height: 0;
}

.clearfix:after {
	clear: both;
}

@media screen and (min-width: 768px) {
	body .wrapper {
		min-height: calc(99.7% - 70px);
	}

	.page-box {
		width: 480px; 
		margin-top: 65px;
		border-radius: 10px; 
		box-shadow: 4px 8px 20px 0px rgba(47,57,112,0.15);
	}

	.page-box section.content-container {
		max-width: none;
	}
}